import { ConfigurableModuleBuilder } from '@nestjs/common';
import { RmqModuleOptions } from './rmq.module-interface';

export const RmqModuleDefinition =
  new ConfigurableModuleBuilder<RmqModuleOptions>()
    .setExtras(
      {
        config: {
          name: '',
          uri: '',
          isGlobal: true,
          key: '',
        },
      },
      (definition, extras) => ({
        ...definition,
      }),
    )
    .setClassMethodName('forRoot')
    .build();
